For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Guías (Español)Guides (English)Referencia API
  • Referencia API
      • GETListar webhook endpoints
      • POSTRegistrar un webhook endpoint
      • DELEliminar un webhook endpoint
LogoLogo
Referencia APIWebhook Endpoints

Registrar un webhook endpoint

POST
https://app.recurrente.com/api/webhook_endpoints
POST
/api/webhook_endpoints
$curl -X POST https://app.recurrente.com/api/webhook_endpoints \
> -H "X-SECRET-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "url": "https://example.com/webhook"
>}'
201Created
1{
2 "id": "ep_2fy6I9KODnHzw7Zf0ZGmMs8gEN9",
3 "url": "https://example.com/webhook",
4 "description": "string",
5 "disabled": false,
6 "metadata": {},
7 "createdAt": "2024-01-15T09:30:00Z",
8 "updatedAt": "2024-01-15T09:30:00Z"
9}
Registra una nueva URL para recibir notificaciones de webhook cuando ocurran eventos en tu cuenta.
Was this page helpful?
Previous

Eliminar un webhook endpoint

Next
Built with

Authentication

X-SECRET-KEYstring
Tu llave secreta de API

Request

This endpoint expects an object.
urlstringRequiredformat: "uri"

URL que recibirá las notificaciones de webhook

descriptionstringOptional

(Opcional) Descripción del endpoint

metadatamap from strings to stringsOptional

(Opcional) Metadata personalizada

Response

Webhook endpoint creado
idstring
ID del endpoint
urlstringformat: "uri"
URL que recibe los webhooks
descriptionstring

Descripción del endpoint

disabledboolean

Si el endpoint está deshabilitado

metadatamap from strings to strings
Metadata personalizada
createdAtdatetime

Fecha de creación

updatedAtdatetime

Última actualización